Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTreeAccessorTypeBinding

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
oracle.jbo.uicli.jui.JUTreeAccessorTypeBinding`

All Implemented Interfaces:
  ValidationManager

public class JUTreeAccessorTypeBinding
extends JUCtrlHierTypeBinding

Implements rules that govern display of rows of a given ViewObject type in a JTree. This class determines the attribute to display for each row and which accessor (if any) to expand when the coresponding node is expanded.

See Also:
  `RowIterator`, `JUTreeBinding`, `JTree`

Field Summary
`protected javax.swing.Icon` | `mClosedIcon`
`protected javax.swing.Icon` | `mLeafIcon`
`protected javax.swing.Icon` | `mOpenIcon`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
`mChildAccessorNames, mDiscrColumnName, mDiscrColumnValue, mViewInstanceName, mVODefName, PNAME_AccessorName, PNAME_ClosedIconName, PNAME_DiscrColumnName, PNAME_DiscrColumnValue, PNAME_IconName, PNAME_OpenIconName, PNAME_TYPE, PNAME_ViewDefName, PNAME_ViewInstanceName`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUTreeAccessorTypeBinding()`
`JUTreeAccessorTypeBinding(java.lang.String voType, java.lang.String childAttrName, java.lang.String childAccessorName)`
`JUTreeAccessorTypeBinding(java.lang.String typeBindingName, java.lang.String voType, java.lang.String childAttrName, java.lang.String childAccessorName)`
`JUTreeAccessorTypeBinding(java.lang.String typeBindingName, java.lang.String voType, java.lang.String childAttrName, java.lang.String childAccessorName, javax.swing.Icon leafIcon, javax.swing.Icon openIcon, javax.swing.Icon closedIcon)`

Method Summary
`javax.swing.Icon` | `getClosedIcon()` For Framework internal use only
`javax.swing.Icon` | `getLeafIcon()` For Framework internal use only
`javax.swing.Icon` | `getOpenIcon()` For Framework internal use only
`void` | `init(java.util.HashMap initValues)` *** For internal framework use only ***

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlHierTypeBinding
`cloneType, createControlBindingInstance, getAccessorName, getAccessorNames, getAttributeName, getClosedIconName, getDiscrColumnName, getDiscrColumnValue, getLeafIconName, getOpenIconName, getStructureDefName, getViewDefName, getViewInstanceName, getXMLElementTag, hasIcon, isDiscrColumnType, loadChildrenFromXML, matchRowDiscrColumn, matchViewObjectType, retrieveFromXML`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### mLeafIcon

    protected javax.swing.Icon mLeafIcon

### mOpenIcon

    protected javax.swing.Icon mOpenIcon

### mClosedIcon

    protected javax.swing.Icon mClosedIcon

Constructor Detail

### JUTreeAccessorTypeBinding

    public JUTreeAccessorTypeBinding()

### JUTreeAccessorTypeBinding

    public JUTreeAccessorTypeBinding(java.lang.String typeBindingName,
                                     java.lang.String voType,
                                     java.lang.String childAttrName,
                                     java.lang.String childAccessorName)

### JUTreeAccessorTypeBinding

    public JUTreeAccessorTypeBinding(java.lang.String voType,
                                     java.lang.String childAttrName,
                                     java.lang.String childAccessorName)

### JUTreeAccessorTypeBinding

    public JUTreeAccessorTypeBinding(java.lang.String typeBindingName,
                                     java.lang.String voType,
                                     java.lang.String childAttrName,
                                     java.lang.String childAccessorName,
                                     javax.swing.Icon leafIcon,
                                     javax.swing.Icon openIcon,
                                     javax.swing.Icon closedIcon)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  *** For internal framework use only ***
  Overrides:
    `init` in class `JUCtrlHierTypeBinding`

### getLeafIcon

    public javax.swing.Icon getLeafIcon()

  Description copied from class: `JUCtrlHierTypeBinding`
  For Framework internal use only
  Overrides:
    `getLeafIcon` in class `JUCtrlHierTypeBinding`

### getOpenIcon

    public javax.swing.Icon getOpenIcon()

  Description copied from class: `JUCtrlHierTypeBinding`
  For Framework internal use only
  Overrides:
    `getOpenIcon` in class `JUCtrlHierTypeBinding`

### getClosedIcon

    public javax.swing.Icon getClosedIcon()

  Description copied from class: `JUCtrlHierTypeBinding`
  For Framework internal use only
  Overrides:
    `getClosedIcon` in class `JUCtrlHierTypeBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.